#!/usr/bin/env python
# -*- coding:utf-8 -*-
import os
import re
import time
import argparse

#################### Arguments ####################
def parse_args():
    parser = argparse.ArgumentParser(description="convert .md file")
    parser.add_argument('-i', nargs='?', default='input.md',
                        help='The name of input file.')
    parser.add_argument('-o', nargs='?', default='output.md',
                        help='The name of output file.')
    return parser.parse_args()
    
def convert(input_name, output_name):
    try:
        with open(input_name, 'r', encoding='utf8') as fr, open(output_name, 'w', encoding='utf8') as fw:
            data = fr.read()
            pattern1 = '\$[\s\S]+?\$'
            pattern2 = '\$\$[\s\S]+?\$\$'
            data = re.sub(pattern2, lambda x:'[latex]' + re.split('\$\$',x.group(0))[1] + '[/latex]', data)
            data = re.sub(pattern1, lambda x:'[latex]' + re.split('\$',x.group(0))[1] + '[/latex]', data)
            fw.write(data)
            
        time.sleep(0.5)
        print('Sucess!')
    except FileNotFoundError as e:
        print(e)
    
if __name__ == '__main__':
    args = parse_args()
    input_name = args.i
    output_name = args.o

    ## convert file
    convert(input_name, output_name)
    print